Get Pipeline Version
curl --request GET \
--url https://api.example.com/pipelines/{pipeline_id}/versions/{version_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/pipelines/{pipeline_id}/versions/{version_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/pipelines/{pipeline_id}/versions/{version_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"steps": [
{
"name": "<string>",
"config": {
"query_type": "sql",
"query": "<string>",
"input_datasets": [
"<string>"
],
"output_datasets": [
"<string>"
],
"job_type": "data-transform"
},
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"release": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>"
},
"annotations": {
"changed": [
{
"step_name": "<string>",
"change_status": "added",
"before": "<string>",
"after": "<string>"
}
],
"canvas_node_annotations": {},
"dataset_output_folders": {}
},
"change_description": "<string>",
"checkpoint": {
"pipeline_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}pipelines
Get Pipeline Version
GET
/
pipelines
/
{pipeline_id}
/
versions
/
{version_id}
/
Get Pipeline Version
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Version metadata persisted as JSON on PipelineVersion.annotations.
Show child attributes
Show child attributes
Show child attributes
Show child attributes